Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL21

    java.lang.Object
      org.lwjgl.opengl.GL21

    public final class GL21

extends java.lang.Object

Field Summary
`static int` | `GL_COMPRESSED_SLUMINANCE`
`static int` | `GL_COMPRESSED_SLUMINANCE_ALPHA`
`static int` | `GL_COMPRESSED_SRGB`
`static int` | `GL_COMPRESSED_SRGB_ALPHA`
`static int` | `GL_CURRENT_RASTER_SECONDARY_COLOR` Accepted by the <pname> parameter of GetIntegerv and GetFloatv.
`static int` | `GL_PIXEL_PACK_BUFFER` Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv:
`static int` | `GL_PIXEL_PACK_BUFFER_BINDING` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_PIXEL_UNPACK_BUFFER`
`static int` | `GL_PIXEL_UNPACK_BUFFER_BINDING`
`static int` | `GL_SLUMINANCE`
`static int` | `GL_SLUMINANCE_ALPHA`
`static int` | `GL_SLUMINANCE8`
`static int` | `GL_SLUMINANCE8_ALPHA8`
`static int` | `GL_SRGB` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static int` | `GL_SRGB_ALPHA`
`static int` | `GL_SRGB8`
`static int` | `GL_SRGB8_ALPHA8`

Method Summary
`static void` | `glUniformMatrix2x3(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix2x4(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix3x2(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix3x4(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix4x2(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix4x3(int location, boolean transpose, java.nio.FloatBuffer matrices)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PIXEL_PACK_BUFFER

    public static final int GL_PIXEL_PACK_BUFFER

  Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv:

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER

    public static final int GL_PIXEL_UNPACK_BUFFER

See Also:
  Constant Field Values

### GL_PIXEL_PACK_BUFFER_BINDING

    public static final int GL_PIXEL_PACK_BUFFER_BINDING

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_BINDING

    public static final int GL_PIXEL_UNPACK_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_SRGB

    public static final int GL_SRGB

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

  See Also:
    Constant Field Values

### GL_SRGB8

    public static final int GL_SRGB8

See Also:
  Constant Field Values

### GL_SRGB_ALPHA

    public static final int GL_SRGB_ALPHA

See Also:
  Constant Field Values

### GL_SRGB8_ALPHA8

    public static final int GL_SRGB8_ALPHA8

See Also:
  Constant Field Values

### GL_SLUMINANCE_ALPHA

    public static final int GL_SLUMINANCE_ALPHA

See Also:
  Constant Field Values

### GL_SLUMINANCE8_ALPHA8

    public static final int GL_SLUMINANCE8_ALPHA8

See Also:
  Constant Field Values

### GL_SLUMINANCE

    public static final int GL_SLUMINANCE

See Also:
  Constant Field Values

### GL_SLUMINANCE8

    public static final int GL_SLUMINANCE8

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB

    public static final int GL_COMPRESSED_SRGB

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA

    public static final int GL_COMPRESSED_SRGB_ALPHA

See Also:
  Constant Field Values

### GL_COMPRESSED_SLUMINANCE

    public static final int GL_COMPRESSED_SLUMINANCE

See Also:
  Constant Field Values

### GL_COMPRESSED_SLUMINANCE_ALPHA

    public static final int GL_COMPRESSED_SLUMINANCE_ALPHA

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_SECONDARY_COLOR

    public static final int GL_CURRENT_RASTER_SECONDARY_COLOR

  Accepted by the <pname> parameter of GetIntegerv and GetFloatv.

  See Also:
    Constant Field Values

Method Detail

### glUniformMatrix2x3

    public static void glUniformMatrix2x3(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

### glUniformMatrix3x2

    public static void glUniformMatrix3x2(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

### glUniformMatrix2x4

    public static void glUniformMatrix2x4(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

### glUniformMatrix4x2

    public static void glUniformMatrix4x2(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

### glUniformMatrix3x4

    public static void glUniformMatrix3x4(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

### glUniformMatrix4x3

    public static void glUniformMatrix4x3(int location,
                                          boolean transpose,
                                          java.nio.FloatBuffer matrices)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.